Bug 994319 - % needs to be escaped in /etc/hiera.yaml
% needs to be escaped in /etc/hiera.yaml
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hiera (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 23:55 EDT by Ian Mortimer
Modified: 2013-09-26 02:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: hiera-1.2.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 02:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Mortimer 2013-08-06 23:55:13 EDT
Description of problem:
With the default /etc/hiera.yaml, hiera throws a parsing error pointing to the first % character in the file.


Version-Release number of selected component (if applicable):
hiera-1.0.0-3.fc18.noarch

How reproducible:
Always


Steps to Reproduce:
1. create a simple yaml file: /var/lib/hiera/global.yaml
2. set a variable value: var: value
3. run: hiera var

Actual results:
Failed to start Hiera: Psych::SyntaxError: (/etc/hiera.yaml): found character that cannot start any token while scanning for the next token at line 6 column 5


Expected results:
Should display: value


Additional info:
The two % characters in the default /etc/hiera.yaml need to be escaped either by \ in front or enclosing the strings in "":

  - "%{certname}"
  - "%{environment}"
Comment 1 Fedora Update System 2013-09-16 15:23:28 EDT
hiera-1.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hiera-1.2.1-1.fc20
Comment 2 Fedora Update System 2013-09-17 14:16:57 EDT
Package hiera-1.2.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hiera-1.2.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16970/hiera-1.2.1-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-09-26 02:28:31 EDT
hiera-1.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.